> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getasset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve the General Ledger Report

> **Scopes:** `report:read`



## OpenAPI

````yaml /api-reference/openapi.json get /v0/business/{business_id}/reports/general-ledger
openapi: 3.1.0
info:
  title: Asset API
  version: '0.1'
servers:
  - url: https://api.sandbox.getasset.com
    description: Sandbox
  - url: https://api.getasset.com
    description: Production
security: []
paths:
  /v0/business/{business_id}/reports/general-ledger:
    get:
      tags:
        - Reports
      summary: Retrieve the General Ledger Report
      description: '**Scopes:** `report:read`'
      operationId: get_general_ledger
      parameters:
        - name: business_id
          in: path
          required: true
          schema:
            description: The ID of the Business
            examples:
              - biz_GA6EG2qFxA97NZHtxeLPUy
            type: string
            format: biz_string
            title: Business Id
          description: The ID of the Business
        - name: start_datetime
          in: query
          required: true
          schema:
            type: string
            format: date-time
            description: The start date (inclusive) in ISO-8601 format.
            examples:
              - '2025-01-01T00:00:00Z'
            title: Start Datetime
          description: The start date (inclusive) in ISO-8601 format.
        - name: end_datetime
          in: query
          required: true
          schema:
            type: string
            format: date-time
            description: The end date (inclusive) in ISO-8601 format.
            examples:
              - '2026-01-01T00:00:00Z'
            title: End Datetime
          description: The end date (inclusive) in ISO-8601 format.
        - name: Accept
          in: header
          required: false
          schema:
            anyOf:
              - type: array
                items:
                  anyOf:
                    - $ref: '#/components/schemas/ReportContentType'
                    - type: string
              - type: 'null'
            description: The content type of the response
            title: Accept
          description: The content type of the response
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GLReportSuccess'
            application/vnd.openxmlformats-officedocument.spreadsheetml.sheet: {}
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Content
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Service Unavailable
      security:
        - OAuth2PasswordBearer:
            - report:read
components:
  schemas:
    ReportContentType:
      type: string
      enum:
        - application/json
        - application/vnd.openxmlformats-officedocument.spreadsheetml.sheet
      title: ReportContentType
    GLReportSuccess:
      properties:
        data:
          $ref: '#/components/schemas/GLReport'
      type: object
      required:
        - data
      title: GLReportSuccess
    ErrorResponse:
      properties:
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
          description: A description of the error
        data:
          title: Data
          description: Data associated with the error
      type: object
      required:
        - error
        - data
      title: ErrorResponse
    GLReport:
      properties:
        ledgers:
          items:
            $ref: '#/components/schemas/GLLedgerLines'
          type: array
          title: Ledgers
          description: The ledger groups
        data_truncated:
          type: boolean
          title: Data Truncated
          description: >-
            Whether data exceeded limits and was truncated. Newer lines will be
            truncated first. Reduce the requested time range to avoid
            truncation.
      type: object
      required:
        - ledgers
        - data_truncated
      title: GLReport
    GLLedgerLines:
      properties:
        ledger:
          $ref: '#/components/schemas/LedgerInfo'
          description: The ledger information
        lines:
          items:
            $ref: '#/components/schemas/GLLine'
          type: array
          title: Lines
          description: The line entries for this ledger
      type: object
      required:
        - ledger
        - lines
      title: GLLedgerLines
    LedgerInfo:
      properties:
        id:
          type: string
          format: ldg_string
          title: Id
          description: The Ledger ID
          examples:
            - ldg_WQMDNUHpBThYSNh4AprDBo
        name:
          type: string
          title: Name
          description: The Ledger name
          examples:
            - Checking x1234
      type: object
      required:
        - id
        - name
      title: LedgerInfo
    GLLine:
      properties:
        date:
          type: string
          format: date-time
          title: Date
          description: The date of the journal entry
          examples:
            - '2025-01-01T00:00:00Z'
        journal_entry_id:
          type: string
          format: je_string
          title: Journal Entry Id
          description: The Journal Entry ID
          examples:
            - je_R2fAXCjqJPdpYata112zyW
        memo:
          type: string
          title: Memo
          description: The journal entry description/memo
        split_ledgers:
          items:
            $ref: '#/components/schemas/LedgerInfo'
          type: array
          title: Split Ledgers
          description: The other ledgers in the same journal entry
          examples:
            - id: ldg_HQsDyGMGU12ZPHapTQUo8i
              name: Equipment expense
        debit_credit:
          $ref: '#/components/schemas/DebitCredit'
          description: Whether this is a debit or credit entry
          examples:
            - credit
        amount:
          type: number
          title: Amount
          description: The amount
          examples:
            - 89.23
        balance:
          type: number
          title: Balance
          description: The running balance for this ledger after this entry
          examples:
            - 189.23
      type: object
      required:
        - date
        - journal_entry_id
        - memo
        - split_ledgers
        - debit_credit
        - amount
        - balance
      title: GLLine
    DebitCredit:
      type: string
      enum:
        - debit
        - credit
      title: DebitCredit
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /v0/auth/token

````